Bug 80210 - [i965]Piglit spec_ARB_arrays_of_arrays_compiler_initializer* fails
Summary: [i965]Piglit spec_ARB_arrays_of_arrays_compiler_initializer* fails
Status: VERIFIED FIXED
Alias: None
Product: piglit
Classification: Unclassified
Component: tests (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Ian Romanick
QA Contact: Eric Anholt
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-19 03:13 UTC by lu hua
Modified: 2014-07-18 03:31 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-06-19 03:13:49 UTC
System Environment:
--------------------------
Platform:  Ironlake
Libdrm:		(master)libdrm-2.4.54-9-g8fc62ca8ac010659023bb63c4759eb683de4f9af
Mesa:		(master)88b887faa9209a58d29c819e01f9ad37ebc99a36
Xserver:	(master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel:(master)2.99.912-77-gd49f53cc00258e3b1e1a898c02e219b336716002
Libva:		(master)ce3315accf067115fbe22a13bf8689bab01da778
Libva_intel_driver:(master)745340dd013399f64507de73401ab3adb712dad5
Kernel:	(drm-intel-nightly)fff6c5111af7356d3815521f597959554e7bc1cc

Bug detailed description:
-----------------------------
New cases spec_ARB_arrays_of_arrays_compiler_initializer* fail on Mesa master branch, they skip on 10.2 branch.
spec_ARB_arrays_of_arrays_compiler_initializer-array-array-var.vert
spec_ARB_arrays_of_arrays_compiler_initializer-array-array-var2.vert
spec_ARB_arrays_of_arrays_compiler_initializer-array-var-array.vert
spec_ARB_arrays_of_arrays_compiler_initializer-array-var-array2.vert
spec_ARB_arrays_of_arrays_compiler_initializer-dec-list-type-array-array-var1-var2.vert
spec_ARB_arrays_of_arrays_compiler_initializer-dec-list-type-array-var1-array-var2-array.vert
spec_ARB_arrays_of_arrays_compiler_initializer-dec-list-type-var1-array-array-var2-array-array.vert
spec_ARB_arrays_of_arrays_compiler_initializer-struct-field-array-array-var.vert
spec_ARB_arrays_of_arrays_compiler_initializer-struct-field-array-var-array.vert
spec_ARB_arrays_of_arrays_compiler_initializer-struct-field-array-var-array2.vert
spec_ARB_arrays_of_arrays_compiler_initializer-struct-field-dec-list-array-array-var1-var2.vert
spec_ARB_arrays_of_arrays_compiler_initializer-struct-field-dec-list-array-var1-array-var2.vert
spec_ARB_arrays_of_arrays_compiler_initializer-struct-field-dec-list-array-var1-var2-array.vert
spec_ARB_arrays_of_arrays_compiler_initializer-struct-field-var-array-array.vert
spec_ARB_arrays_of_arrays_compiler_initializer-three-dimensions.vert
spec_ARB_arrays_of_arrays_compiler_initializer-three-dimensions2.vert
spec_ARB_arrays_of_arrays_compiler_initializer-var-array-array.vert
spec_ARB_arrays_of_arrays_compiler_initializer-var-array-array2.vert

run bin/glslparsertest tests/spec/arb_arrays_of_arrays/compiler/initializer-array-array-var.vert pass 1.20 GL_ARB_shading_language_420pack
output:
Failed to compile vertex shader /GFX/Test/Piglit/piglit/tests/spec/arb_arrays_of_arrays/compiler/initializer-array-array-var.vert: 0:9(12): warning: extension `GL_ARB_arrays_of_arrays' unsupported in vertex shader
0:14(7): error: GL_ARB_arrays_of_arrays required for defining arrays of arrays

Shader source:
/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * require_extensions: GL_ARB_arrays_of_arrays
 * require_extensions: GL_ARB_shading_language_420pack
 * [end config]
 */
#version 120
#extension GL_ARB_arrays_of_arrays: enable
#extension GL_ARB_shading_language_420pack: enable

void main()
{
  vec4[3][2] a = {vec4[2](vec4(0.0), vec4(1.0)),
                  vec4[2](vec4(0.0), vec4(1.0)),
                  vec4[2](vec4(0.0), vec4(1.0)) };

  gl_Position = a[2][1];
}

PIGLIT: {'result': 'fail' }

Reproduce steps:
----------------------------
1. xinit
2. bin/glslparsertest tests/spec/arb_arrays_of_arrays/compiler/initializer-array-array-var.vert pass 1.20 GL_ARB_shading_language_420pack
Comment 1 Timothy Arceri 2014-07-11 07:47:09 UTC
This was my bad, the piglit tests didn't define the required extensions in the correct way.

See: http://lists.freedesktop.org/archives/piglit/2014-June/011303.html

The piglit tests are now fixed.
Comment 2 Gordon Jin 2014-07-14 08:40:28 UTC
moving to piglit component
Comment 3 lu hua 2014-07-18 03:31:04 UTC
Verified.Fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.